Jump to content
TNG Community
Andi 2020

OpenStreetMap installation problem

Recommended Posts

Andi 2020

Hello everybody,

I'm using TNG 13.0.3 together with the TNG Wordpress plugin and tried to install the OSM mod v13.0.0.7c. Unfortunately I can't install the mod correctly, please see my screenshot for the error messages.

I found several threads of people having the same problem, but unfortunately the suggested solutions didn't help. I've disabled all other mods, but without results. I've set the permissions for the folder openstreetmap_v13.0.0.7c to 0755 and for the file openstreetmap_v13.0.0.7c to 0644. I also updated the file cust_text.php. The files are empty, is this right? Unfortunately I don't know, what these files are needed for. In the map-settings I've set OSM as the key name.

Can someone tell me where the error could be?

Thank you very much in advance!
Andreas

screenshot.jpg

Share this post


Link to post
Share on other sites
Michel KIRSCH

Zeile 682 : Location #1 : Ziel ungültig

You have an another mod installed. This Mod has modified the getperson.php file and OSM can't find this location.

See Mod Manager, "Analyse TNG files" tab and check which mods are modifying getperson.php

uninstall these mods one by one until OSM can be installed (don't forget to refresh the Mod Manger !)

 The last uninstalled mod is the one that causes the problem

Michel

Share this post


Link to post
Share on other sites
Andi 2020

Hi Michel,

thank you for your reply!

I've deleted all mods completely, the folder was empty and no mods were shown in mod manager. Afterwards I've tried again to install OSM, but the same error message appeared! When I click then on "Analyse TNG files", the only mod which is shown, is OSM 13.1.0.8d, which is the one I'm trying to install.

Do you have another idea?

Kind regards
Andreas

Share this post


Link to post
Share on other sites
Ken Roy

Andreas,

Did you Uninstall the mods before Deleting them?  If not the mods are still installed.   Delete does NOT uninstall the mods, it simply deletes the mods from the mods folder.

Share this post


Link to post
Share on other sites
Andi 2020

Hi Ken, 

yes, I've uninstalled the mods via the manager before deleting anything in the mods folder. 

Share this post


Link to post
Share on other sites
Ken Roy
6 hours ago, Andi 2020 said:

OSM 13.1.0.8d

The first 3 digits of the mod version number indicates that minimum TNG version that the mod applies to.  In this case TNG 13.1.0 at a minimum is required to install this mod version.  If you are using TNG 13.0.3 then you should be installing v13.0.0.7c of the mod which should apply until you upgrade to TNG 13.1 and later.  Sorry, I did not catch that the first time.

8 hours ago, Michel KIRSCH said:

Analyse TNG files

The Analyze TNG files compares the files with the mods in the mods folder.  v13.0.0.7c of the OpenStreetMap mod should install on your TNG 13.0.3 version

Share this post


Link to post
Share on other sites
Michel KIRSCH
8 hours ago, Andi 2020 said:

OSM 13.1.0.8d

Ken is obviously right. I hadn't thought about that anymore...And the same for the deleting of the mods before uninstall them...

Michel

Share this post


Link to post
Share on other sites
Andi 2020

I've already tried that before and just now tried again to install v13.0.0.7c. But unfortunately there are exactly the same error messages  :-(

Share this post


Link to post
Share on other sites
Michel KIRSCH

If all your mods are UNINSTALLED, replace your getperson.php file with the original one

 

Share this post


Link to post
Share on other sites
Andi 2020

Perfect!!!

After replacing getperson.php everything is working now!!!

Thank you very much  😀

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×